"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pluginScriptModule = void 0;
const pluginScriptModule = () => ({
    name: 'plugin-script-module',
    setup: (api) => {
        api.modifyHTMLTags(({ headTags, bodyTags }) => {
            updateTags(headTags);
            updateTags(bodyTags);
            return { headTags, bodyTags };
        });
    },
});
exports.pluginScriptModule = pluginScriptModule;
function updateTags(tags) {
    tags.forEach((tag) => {
        if (tag.tag === 'script') {
            tag.attrs = Object.assign(Object.assign({}, tag.attrs), { type: 'module' });
        }
    });
}
//# sourceMappingURL=plugin-script-module.js.map