"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.init = init;
const tslib_1 = require("tslib");
const schematics_1 = require("@angular-devkit/schematics");
const tasks_1 = require("@angular-devkit/schematics/tasks");
function init(options) {
    return function (tree, context) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            options = normalizeOptions(options);
            const { stack } = options, delegationOptions = tslib_1.__rest(options, ["stack"]);
            switch (stack) {
                case 'module-federation-webpack':
                    return (0, schematics_1.chain)([(0, schematics_1.schematic)('init-webpack', delegationOptions)]);
                case 'module-federation-rsbuild-experimental':
                    return (0, schematics_1.chain)([(0, schematics_1.schematic)('init-rspack', delegationOptions)]);
                case 'native-federation-esbuild':
                    initNativeFederation(context, delegationOptions);
            }
            return (0, schematics_1.noop)();
        });
    };
}
function initNativeFederation(context, delegationOptions) {
    context.addTask(new tasks_1.RunSchematicTask('@angular-architects/native-federation', 'init', delegationOptions), [
        context.addTask(new tasks_1.NodePackageInstallTask({
            packageName: '@angular-architects/native-federation@^19.0.0',
        })),
    ]);
}
function normalizeOptions(options) {
    return Object.assign(Object.assign({}, options), { port: options.port || 4200 });
}
//# sourceMappingURL=schematic.js.map