"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = init;
const tslib_1 = require("tslib");
const schematics_1 = require("@angular-devkit/schematics");
const child_process_1 = require("child_process");
//
// Schematic for patching Angular for rsbuild integration while experimental.
// Will be removed when stable!
// Called via the init-rspack schematic to execute it AFTER the task running
// npm install
//
function init(options) {
    return function () {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const cmd = 'node node_modules/@ng-rsbuild/plugin-angular/patch/patch-angular-build.js';
            try {
                (0, child_process_1.execSync)(cmd, {
                    cwd: options.workspaceRoot,
                });
            }
            catch (e) {
                console.error('Error patching Angular for rspack');
                console.error('This is only needed while the rspack integration is experimental');
                console.error('Try to run this command by hand:');
                console.error('\t' + cmd);
                console.error('Error', e);
            }
            return (0, schematics_1.noop)();
        });
    };
}
//# sourceMappingURL=schematic.js.map