"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeSkipList = normalizeSkipList;
exports.applySkipList = applySkipList;
function normalizeSkipList(skipList = []) {
    return skipList.map((item) => {
        if (typeof item === 'string') {
            return (p) => item === p;
        }
        else if (item instanceof RegExp) {
            return (p) => item.test(p);
        }
        else {
            return item;
        }
    });
}
function applySkipList(normalizedSkip, shared) {
    const filtered = {};
    for (const key in shared) {
        if (!normalizedSkip.find((f) => f(key))) {
            filtered[key] = shared[key];
        }
    }
    return filtered;
}
//# sourceMappingURL=skip-list.js.map